Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77428 - gcc-gnat has an assertion failure while compiling program
Summary: gcc-gnat has an assertion failure while compiling program
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-06 21:30 UTC by jfm2
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-06 21:30:53 UTC


Attachments (Terms of Use)

Description jfm2 2002-11-06 21:30:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Gnat aborts when compiling program with following message

+===========================GNAT BUG DETECTED==============================+
| 3.2 20020903 (3.2-7) (i386-redhat-linux-gnu) Assert_Failure expander.adb:83|
| Error detected at
/usr/lib/gcc-lib/i386-redhat-linux/3.2/adainclude/a-strbou.adb:47:7
[opentoken.ads:73:4]|
| Please submit a bug report, see http://gcc.gnu.org/bugs.html.            |
| Include the entire contents of this bug box in the report.               |
| Include the exact gcc or gnatmake command that you entered.              |
| Also include sources listed below in gnatchop format                     |
| (concatenated together with no headers between files).                   |
+==========================================================================+

Command was:  "gcc -c -O2 -mcpu=i686 -gnatpn -fPIC opentoken-production-parser.ads"



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Just try to compile OpenToken
2.
3.
	

Actual Results:  Compilation aborted

Expected Results:  Compilation success or error but not an assertion failure
causing to abort

Additional info:

I can submit teh source who made it abort.

Comment 1 Jakub Jelinek 2002-11-10 20:18:14 UTC
Please report this to http://gcc.gnu.org/gnats.html instead.


Note You need to log in before you can comment on or make changes to this bug.